function y=Mx_Steyn(u);

% En entre u vecteur  10 composantes
%	u(1:3)=B champ magntique
%	u(4:6) = W vecteur rotation (p q r )
% 	u(7:10) = quaternion
%       u(11)=temps de la simulation

global mom_mgn_max K_stab q_ref temps_phase2 temps_phase3 tempo

% *****************  Calcul suivant rgulation de Steyn ************

tps=u(11);

Klin=tps/tempo*((tps-tempo)<0);
Klin=tps^2/tempo^2*((tps-tempo)<0)+((tps-tempo)>=0);

if abs(u(3))>=abs(u(1))

  Mx=K_stab*(u(5)-q_ref)*sign(u(3));
  

else

  Mx=0;

end

Mx=Mx*(tps>=temps_phase2)*(tps<=temps_phase3);

Mx=Mx*Klin;

y=Mx;


end   % *******************  Fin programme  ***********************

% ---------   Optimisation gardant la composante normale  B   ------


% -------------------------------------------------------------------



% *******************  Limitation en saturation  ********************
%if abs(Mx)>=mom_mgn_max

  %Mx=mom_mgn_max*sign(Mx);


% ********************************************************************



end