% Programme de dtermination du classement des inerties du satellite CASAA-SAT suivant
% le repre qui contient 
%		 x en position 1 
%		 y1 =oppos de la normale aux panneaux
%		 z qui complte


Ir=22e-3;It=25e-3;Il=10e-3;Irt=5.344e-5;Irl=-1.998e-4;Itl=9.839e-4;

Asat=[Ir -Irt -Irl;
         -Irt It -Itl;
            -Irl -Itl Il];

angle_norm=[];test_moyen=[];

for J=0:0.2:90
  
  angle=J*pi/180;
  angle_norm=[angle_norm J];

  Mat_passage=[1 0 0
              0 cos(angle) -sin(angle)
                 0 sin(angle) cos(angle)];

  Asat1=Mat_passage'*Asat*Mat_passage; 
  if J==35
   Asat22=Asat1(2,2),
  end

  [V1,D1]=eig(Asat1);
  trace=[Asat1(1,1) Asat1(2,2) Asat1(3,3)];

  Imax=max(trace);

  Imin=min(trace);

  if(Asat1(2,2)<Imax) & (Asat1(2,2)>Imin)

    test_moyenne=1;
  else
    test_moyenne=0;
  end

  test_moyen=[test_moyen test_moyenne];

end

plot(angle_norm,test_moyen);
xlabel('Angle ( ) normale panneaux sur -y');
ylabel(' Test inertie moyenne');
title('Test=1 si Asat(2,2) est inertie moyenne');

grid;figure(gcf);

end
