function y=mom_prec(u);

% En y(1:3):
%     Calcule le moment magntique de STEYN pour la prcession vers la direction choisie
%     dans notre cas c'est la direction oppose au soleil, car les panneaux sont sur la
%     face y- et pour nous, inclins de 35 sur -y et 55 sur -z

% En y(4):
%     Calcule l'angle entre -y et l(unitaire soleil



% Entres  6 composantes :
%	- 3 pour l'unitaire soleil en axes satellite  Us=u'1:3)
%	- 3 pour B en axes satellite B=u(4:6)

global H jour rayon_orbital vitesse_rotation inclinaison periode_orbitale Kp q_ref It

% ************************************  CALCULS  *******************************

B(1:3)=u(4:6);                              % Champ magntique dans xyz

Us(1:3)=u(1:3);                             % Unitaire soleil dans xyz, donc la direction  atteindre est son oppos  but

but=-Us;

Hy=It*q_ref;

% -------------------------------------------------------------------------------

tangente=(but(1)^2+but(3)^2)^0.5/but(2);     % On tient compte de la direction  atteindre  but=-Us
%                                             
sigma=atan(tangente);                        % **** Angle sigma entre -y et Us ou -Us et y ****

% --------------------------------------------------------------------------------

CST=Kp*abs(sigma)*abs(Hy)/norm(B)^2;   

vect(1)=-but(3)*B(2);
vect(2)=but(3)*B(1)-but(1)*B(3);
vect(3)=but(1)*B(2);

% ---------------------------------------------------------------------------------

y=CST*vect;                                    % 
y(4)=sigma;                                    % Angle sigma de la thorie entre -Us et l'axe y

end