function y=puis_2(u);


% *******************************************
% Fonction qui calcule la puissance du couple
% *******************************************

% Vecteur d'entre  10 composantes
%	u(1;3) = couple magntique en axes terrestre ( Cx Cy Cz )
%	u(4;6) = vecteur rotation (p q r )
%	u(7;10) = quaternion d'attitude

couple=u(1:3);

rotation=u(4:6);

puissance=couple'*rotation;

if puissance<0
   couple_steyn=couple;    % Couple conserv car c'est le bon signe
else
   couple_steyn=couple*0;  % Couple nul si le signe n'est pas convenable
end 

y(1:3)=couple_steyn;
y(4)=puissance;

y=y';
end